
QGIS Application - Bug report #8138

DB manager "Import vector layer" python error

2013-06-23 10:07 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16968

Description

when clicking on the button to choose a vector

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/dlg_import_vector.py", line 128, in chooseInputFile

    filename = QFileDialog.getOpenFileName(self, self.tr("Choose the file to import"), lastDir, vectorFormats, lastVectorFormat)

TypeError: QFileDialog.getOpenFileName(QWidget parent=None, QString caption=QString(), QString directory=QString(),

QString filter=QString(), QString selectedFilter=None, QFileDialog.Options options=0): argument 5 has unexpected type 'unicode'

Associated revisions

Revision 49e5c8f8 - 2013-06-29 11:47 AM - Jürgen Fischer

use QFileDialog.getOpenFileNameAndFilter variant when setting last filter (fixes #8138)

History

#1 - 2013-06-29 02:48 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"49e5c8f89bb49f3c492ea8c3ea2e4f7bfe1e9dfc".
